
QGIS Application - Bug report #8426

Transparency mangles WMS layers

2013-08-08 02:58 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17195

Description

I have a WMS. When I set transparency in QGIS, the layer becomes very ugly - colours become pseudo colours etc. See attached for the

result of request QGIS makes to the WMS, and what QGIS shows on the screen for just 1% transparent and 70% transparent.

Looking at the requests made to the WMS - they're all requesting the exact same file, so transparency is being done client side.

History

#1 - 2013-08-08 03:01 AM - Jonathan Moules

QGIS weekly a13cdf8 - windows 7 x64

#2 - 2013-08-08 03:35 AM - Giovanni Manghi

- Category set to Web Services clients/WMS

seems to work fine here, please provide a url.

#3 - 2013-08-08 03:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2013-08-08 03:44 AM - Jonathan Moules

My WMS is internal only and cannot be shared. Also my QGIS doesn't have access to internet so I can't test external ones.

#5 - 2013-08-08 03:45 AM - Giovanni Manghi

Jonathan Moules wrote:

My WMS is internal only and cannot be shared. Also my QGIS doesn't have access to internet so I can't test external ones.

can't you install and test qgis in a pc outside of your work environment?

#6 - 2013-08-08 03:48 AM - Jonathan Moules

Possibly, but that won't let me test my given URL.
#7 - 2013-08-08 03:52 AM - Giovanni Manghi

Jonathan Moules wrote:

Possibly, but that won't let me test my given URL.

but we will know if is a general issue or is about your wms server.

#8 - 2013-10-16 04:10 AM - Jonathan Moules

The server is a GeoServer 2.3.5 install

This happens with QGIS 2.0

#9 - 2013-10-16 04:12 AM - Giovanni Manghi

Jonathan Moules wrote:

The server is a GeoServer 2.3.5 install

This happens with QGIS 2.0

can't you really provide a url?

#10 - 2013-10-16 04:25 AM - Jonathan Moules

Giovanni Manghi wrote:

Jonathan Moules wrote:

The server is a GeoServer 2.3.5 install

This happens with QGIS 2.0

can't you really provide a url?

Sorry, it's still internal only I'm afraid. Hopefully soon (ha!) our security folks will finally approve it (or even respond!).

#11 - 2014-01-21 05:06 AM - Jonathan Moules

- Status changed from Feedback to Closed

This can be closed. Appears to be working now (master).

Files

1percent.png 1.24 MB 2013-08-08 Jonathan Moules

70percent.png 1.03 MB 2013-08-08 Jonathan Moules
